Subject: Information needed for 'cp'

From: aakanksha gaur <[email-masked]>
Date: Fri, 1 Apr 2011 14:12:19 +0530

Hi,

I need to know what is the rationale behind this behavior ?

> cp aa bb
aa does not exist and neither does bb. No warning is thrown on performing
this operation.

However,
if I do

> cp dd cc
where cc is a non empty file, then a warning is thrown about the source file
being empty| invalid.
This is the warning thrown.

cp: cannot stat `dd': No such file or directory

Can I please know the rationale behind this behavior?

Thanks
Aakanksha Gaur